Skip to main content
PUT
/
access-token
/
{id}
cURL
curl --request PUT \
  --url https://app.teable.ai/api/access-token/%7Bid%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"name":"string","description":"string","scopes":["string"],"spaceIds":["string"],"baseIds":["string"],"hasFullAccess":true}'
const url = 'https://app.teable.ai/api/access-token/%7Bid%7D';
const options = {
  method: 'PUT',
  headers: {
    Authorization: 'Bearer REPLACE_BEARER_TOKEN',
    'content-type': 'application/json'
  },
  body: '{"name":"string","description":"string","scopes":["string"],"spaceIds":["string"],"baseIds":["string"],"hasFullAccess":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
const http = require('https');

const options = {
  method: 'PUT',
  hostname: 'app.teable.ai',
  port: null,
  path: '/api/access-token/%7Bid%7D',
  headers: {
    Authorization: 'Bearer REPLACE_BEARER_TOKEN',
    'content-type': 'application/json'
  }
};

const req = http.request(options, function (res) {
  const chunks = [];

  res.on('data', function (chunk) {
    chunks.push(chunk);
  });

  res.on('end', function () {
    const body = Buffer.concat(chunks);
    console.log(body.toString());
  });
});

req.write(JSON.stringify({
  name: 'string',
  description: 'string',
  scopes: ['string'],
  spaceIds: ['string'],
  baseIds: ['string'],
  hasFullAccess: true
}));
req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

payload = "{\"name\":\"string\",\"description\":\"string\",\"scopes\":[\"string\"],\"spaceIds\":[\"string\"],\"baseIds\":[\"string\"],\"hasFullAccess\":true}"

headers = {
    'Authorization': "Bearer REPLACE_BEARER_TOKEN",
    'content-type': "application/json"
}

conn.request("PUT", "/api/access-token/%7Bid%7D", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))


{
  "id": "<string>",
  "name": "<string>",
  "scopes": [
    "<string>"
  ],
  "description": "<string>",
  "spaceIds": [
    "<string>"
  ],
  "baseIds": [
    "<string>"
  ],
  "hasFullAccess": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
required
scopes
string[]
required
description
string
spaceIds
string[] | null
baseIds
string[] | null
hasFullAccess
boolean

Response

200 - application/json

Returns access token.

id
string
required
name
string
required
scopes
string[]
required
description
string
spaceIds
string[]
baseIds
string[]
hasFullAccess
boolean
Last modified on March 5, 2026